#pragma once

#include "CoreMinimal.h"
#include "Components/ActorComponent.h"
#include "ActorInstancePropertiesComponent.generated.h"

class UActorInstanceProperties;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class DEADBYDAYLIGHT_API UActorInstancePropertiesComponent : public UActorComponent
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TArray<UActorInstanceProperties*> _actorInstancePropertiesList;

public:
	UActorInstancePropertiesComponent();
};

FORCEINLINE uint32 GetTypeHash(const UActorInstancePropertiesComponent) { return 0; }
